IPSW-DEVICE-LIST(1)

NAME
ipsw-device-list - List all iOS devices

SYNOPSIS
ipsw device-list [flags]

DESCRIPTION
List all iOS devices from embedded device database.

NOTE: This database is sourced from Xcode's device_traits.db which includes simulator devices and may not accurately map to physical hardware devices. Some entries (e.g., iPad17,4-A, iPad17,4-B) represent simulator variants rather than distinct hardware models.

OPTIONS
-h, --help[=false]
    help for device-list

-j, --json[=false]
    Output as JSON

-p, --plain[=false]
    Output as non-interactive table

OPTIONS INHERITED FROM PARENT COMMANDS
--color[=false]
    colorize output

--config=""
    config file (default is $HOME/.config/ipsw/config.yaml)

--no-color[=false]
    disable colorize output

-V, --verbose[=false]
    verbose output

SEE ALSO
ipsw(1)

HISTORY
21-Mar-2026 Auto generated by spf13/cobra